<!doctype html>
<html lang="en">
<head>
<title>44-debian-installer-and-images-team-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="anonymous" title="anonymous">Welcome to DebConf Video Etherpad!</span><br><span class="a_BKEisk8uN4Nli5sM" title="a_BKEisk8uN4Nli5sM" style="background-color:#4dd990">Primary data is in gobby at </span><br><span class="a_BKEisk8uN4Nli5sM" title="a_BKEisk8uN4Nli5sM" style="background-color:#4dd990">$ gobby infinote://gobby.debian.org/debconf22/bof/debian-installer</span><br><span class="a_BKEisk8uN4Nli5sM" title="a_BKEisk8uN4Nli5sM" style="background-color:#4dd990">Comments here may be merged there afterwards</span><br><span class="anonymous" title="anonymous"></span><br><span class="anonymous" title="anonymous">This pad text is synchronized as you type, so that everyone viewing this page sees the same text. This allows you to collaborate seamlessly on documents!</span><br><span class="anonymous" title="anonymous"></span><br><span class="anonymous" title="anonymous">To get started click the 👥 button in the top/bottom right and log in.</span><br><span class="anonymous" title="anonymous"></span><br><span class="anonymous" title="anonymous">Get involved with Etherpad at https://etherpad.org</span><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Personal opinions below from amacater - Andy - as the other member of the install media and testing team with Sledge,RattusRattus and Isy.</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">A few things that have come up generally:</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">    </span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Writing media to USB sticks</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">    </span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Lots of people still have problems appreciating that we have isohybrid images that can be copied to a USB stick and "just work" at least for i386 and amd64.  </span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">We still get questions on how to boot/how to copy on places like debian-user  at least once a month or so.</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">I'm not sure how we get this one across.</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Bigger images</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">We get lots of folk wanting bigger images. There's probably a law of diminishing returns here. The larger you </span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">make an image, the harder it is to download in one piece reliably, especially in areas of the world that have low bandwidth / high latency. [Getting used to high bandwidth is a first world problem]. </span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">I (personally) think that something bigger than 16G is not worthwhile for us to do at all, unless as .jigdo though the 16G physical file  is very useful if you have it, especially for an offline machine or network..</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Thomas Schmitt  and Zhang Boyang between them did a nice job on "bigger than Blu-Ray" recently, though</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">"All of Debian on one disk / one archive"</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">We still want people wanting "all of Debian on one disk" for whatever reason - maybe for carrying it to a single isolated machine or network. What should we do?</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Building large images</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Large images are easy using jigdo/jigit if you have a local mirror handy - I think the members of the images team are the only ones that do :-) RattusRattus suggested that we produce a "Build your own image" program to do this for people. </span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Jigdo and jigit-mkimage are definitely a good way to go to get large images quickly.</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Media sized for physical media?</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">We make netinsts for i386 / amd64, the first DVD image is sized for exactly 4G so it will fit on a physical DVD. Single CD images which include a desktop are gone - though people still ask for them occasionally. </span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Can we afford to move to just netinst and stop sizing for physical media? </span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Notably, other Linux distributions now have a 10G "DVD" </span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Meta-question: when does physical media die :-)</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_f7kXbpvaauzhz78Z" title="a_f7kXbpvaauzhz78Z" style="background-color:#63dfa9"> Ubuntu-like features that people mention sometimes</span><br><span class="a_f7kXbpvaauzhz78Z" title="a_f7kXbpvaauzhz78Z" style="background-color:#63dfa9"> </span><br><span class="a_f7kXbpvaauzhz78Z" title="a_f7kXbpvaauzhz78Z" style="background-color:#63dfa9"> Do we want an OEM mode in the installer?</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Do we want an Ubuntu-like "live medium and squashfs/initrd to install from" which is significantly larger?</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Who builds what?</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">We have: live images built by one person, WSL images for Microsoft built by one person, cloud images by another team, Raspberry Pi images which are officially unofficial - and media images built by Sledge and co. Derivatives/pure blends ???? - who knows.</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Perhaps we could do with some consolidation, so that there's ONE Debian source for "official images." [Debian 1.3 spelt this as Oficial on all branded media :-) ] </span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">This would help people wanting verifiable sources / chasing supply chain verification etc.</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Testing</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">We end up testing amd64 images / i386 images with any point release and major release. It takes time - can some be automated - fil offered help. </span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">How in depth is media testing?</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Live images get minimal testing. </span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">We don't do any testing for ARM SBC, for example, or Pi builds - at what point does the effort just come down to "it boots - ship it"?</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Live images</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Personal suggestion: Could we have a "build your own live image" system based on the standard image and adding a desktop?</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Multiple live images differing only in desktop seem a bit wasteful. [In an install with a standard installer, it's a question of tasksel to change desktops].</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Live images - tooling and personnel</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Live images need more people behind them or they're dead images - difficult to find effort for them. highvoltage and rclobus and??</span><span class="a_BP60PRifYbqynap3" title="a_BP60PRifYbqynap3" style="background-color:#6e309d"></span><br><span class="a_BP60PRifYbqynap3" title="a_BP60PRifYbqynap3" style="background-color:#6e309d">rclobus: I'm working on re-activating live images, but progress has slowed down since I started my new day job.</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Toolchain and build system - obsolescence and different wa</span><span class="a_4IubYrTsvWTpQbbL" title="a_4IubYrTsvWTpQbbL" style="background-color:#fce8d0">ys</span><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">of producing live images ... this needs sorting or live images need abandoning</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">C</span><span class="a_4IubYrTsvWTpQbbL" title="a_4IubYrTsvWTpQbbL" style="background-color:#fce8d0">ontroversial: C</span><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">alamares - why?</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Calamares is dead upstream at the moment - https://euroquis.nl/calamares/2022/05/21/calamares-farewell.html and https://euroquis.nl/calamares/2022/05/29/calamares-handoff.html - </span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">either we put significant effort into it or it needs to go, in my (biased) opinion.</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">Derivatives and blends</span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd">With the exception of the dedication of Schweer to Debian-Edu - where are they?</span><span class="a_oFflFz9SbBoXffDf" title="a_oFflFz9SbBoXffDf" style="background-color:#5de589"></span><br><span class="a_oFflFz9SbBoXffDf" title="a_oFflFz9SbBoXffDf" style="background-color:#5de589">seconded - Schweer works tirelesley on the Debian-Edu project, we don't see anyone else</span><span class="a_UEYJ1wGbvmg1fsDl" title="a_UEYJ1wGbvmg1fsDl" style="background-color:#0d0dbd"></span><br><span class="anonymous" title="anonymous"></span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1"></span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1">We'd love if Blends would be supported!</span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1"></span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1">Thanks for trying your luck on tasksel anyway!</span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1">I agree that we do not need images for every single Blend.  Some pointer to an easy way to install a Blend somewhere in the install process would be great ... be it via tasksel or something better.</span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1"></span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1"></span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1"><stefank> Is it a option to have one meta-package per blend which will install a kind of "basic setup of a blend"?</span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1"></span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1"></span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1">Regarding shipping "all desktops":  We should specifically not ship desktops which do not work easily out of the box.. I had quite bad experiences with lxde where naive users would have quite some trouble to start with.</span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1">My bug reports to lxde people were not dealt in a way I would consider helpful.</span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1">I think selecting Gnome / KDE and some "small but maintained desktop" should be sufficient</span><br><span class="a_AXNBTaIxfYka6gwT" title="a_AXNBTaIxfYka6gwT" style="background-color:#8873b1"></span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
